$(function()
{
    $('#signin_b').click(function()
    { 
        $.post(URLdir + 'handler/sign/in', {'login': $('#login').val(), 'password': $.sha1($('#password').val())},
        function(data)
        {
            data = $.parseJSON(data);
            if(data.success === true)
            {
                $('#signin_b').val('Всё отлично!');
                window.location.replace(URLdir);
            }
            else
            {
                EventInspector_ShowMsg("Неверный логин и/или пароль!", "error");
            }
        });
        
    });
    
    $('#remind').click(function()
    { 
        
        $.post(URLdir + 'handler/sign/remindPassword', {'email': $('#email').val()},
        function(data)
        {
            data = $.parseJSON(data);
            if(data.success === true)
            {
                $('#remind').val('Проверьте почту!');
                window.location.replace(URLdir);
            }
            else
            {
                $('#remind').val('Что-то пошло не так :(');
            }
        });
        
    });
    
    $('#changepass_b').click(function()
    { 
        
        $.post(URLdir + 'handler/sign/changePassword', {
            'password': $.sha1($('#password').val()),
            'confirm_password': $.sha1($('#confirm_password').val()),
            'token': $('#token').val()
        },
        function(data)
        {
            data = $.parseJSON(data);
            if(data.success === true)
            {
                $('#changepass_b').val('Пароль успешно изменен!');
                window.location.replace(URLdir);
            }
            else
            {
                $('input').each(function(){
                    $(this).removeClass('wrong');
                });
                $('#errors').html('<ul>');
                $.each(data.errors, function(i){
                    EventInspector_ShowMsg(data.errors[i], "error");
                    $('#' + i).addClass('wrong');
                });
            }
        });
        
    });
    
    $('#signup_b').click(function()
    {
        
        $.post(URLdir + 'handler/sign/up', 
            {'activation_code': $('#activation_code').val(), 
            'login': $('#login').val(), 
            'password': $.sha1($('#password').val()),
            'confirm_password': $.sha1($('#confirm_password').val()),
            'email': $('#email').val(),
            'confirm_email': $('#confirm_email').val()},
        function(data)
        {
            data = $.parseJSON(data);
            if(data.success === true)
            {
                $('#signup_b').val('Всё отлично!');
                window.location.replace(URLdir);
            }
            else
            {
                $('input').each(function(){
                    $(this).removeClass('wrong');
                });
                $('#errors').html('<ul>');
                $.each(data.errors, function(i){
                    EventInspector_ShowMsg(data.errors[i], "error");
                    $('#' + i).addClass('wrong');
                });
            }
        });
    });
	
    $(document).keypress(function(event){
    if(event.keyCode==13)
    {
            if($('#login').is(':focus'))
            {
                $('#password').focus();
            }
            else if($('#password').is(':focus'))
            {
                $('#signin_b').trigger('click');
            }
        }
    });
    
});
