$(function()
{
    $("#facultySelect [value='0']").attr('selected', 'selected');
    $("#gradeSelect [value='0']").attr('selected', 'selected');
    $("#groupSelect [value='0']").attr('selected', 'selected');
    
    $('#gradeSelect').attr('disabled', 'disabled');
    $('#groupSelect').attr('disabled', 'disabled');
    
    // Переключение страниц
    $('body').on('click', '.paginatorLink', function(){
        $('.paginatorPage').addClass('hiddenPage');
        $('.paginator_item').removeClass('selectedPageNum');
        $('#'+this.id).removeClass('hiddenPage');
        $(this).children('.paginator_item').addClass('selectedPageNum');
    });    
    
    // Выбор факультета
    $('#facultySelect').change(function(){
        getStudentsList();
        if (($('#facultySelect option:selected').val()!= '0')) {

                //$("#search_results").html('<div class="search_load"><img src="' + URLdir + 'media/img/load.gif"/></div>');
                $('#gradeSelect').removeAttr('disabled');

                //$.post(URLdir + 'handler/admStudents/getStudentsByFaculty',
                //$.post(URLdir + 'handler/AdmStudents/getStudentsList',
                //{
                //    'facultyID': $('#facultySelect option:selected').val(),
                //    'gradeID': $('#gradeSelect option:selected').val(),
                //    'groupID': $('#studyGroupSelect option:selected').val()
                //},
                //function(data){
                //    $("#search_results").replaceWith(GenerateInfoList(data))
                //});
        }
        else
        {
            $('#gradeSelect').attr('disabled', 'disabled');
        }

        $('#studyGroupSelect').attr('disabled', 'disabled');
        $("#studyGroupSelect").html('<option value="0">--- Учебная группа ---</option>');

    });

    // Выбор курса
    $('#gradeSelect').change(function(){
        getStudentsList();
        $('#studyGroupSelect').attr('disabled', 'disabled');
        $("#groupSelect").empty();
        $("#studyGroupSelect").html('<option value="0">--- Учебная группа ---</option>');

        if (($('#gradeSelect option:selected').val()!= '0')) {
            
            $.post(URLdir + 'handler/admStudents/getGroups',
            {
                'facultyID': $('#facultySelect option:selected').val(),
                'gradeNum': $('#gradeSelect option:selected').val()
            }, 
            function(data){
               $.each(data, function(i){
                    $("#groupSelect").append('<optgroup label="'+data[i].SpecName+'">');
                    $.each(data[i].Groups, function(j)
                    {
                        $("#groupSelect").append('<option value="'+data[i].Groups[j].ID+'">'+data[i].Groups[j].Num+' группа</option>');
                    });
                    $("#groupSelect").append('</optgroup>');
                });
                $("#groupSelect").removeAttr("disabled");
            }, "json");
                
        }
    });
    
    // Выбор группы
    $('#studyGroupSelect').change(getStudentsList);

    function getStudentsList()
    {
        $("#search_results").html('<div class="search_load"><img src="' + URLdir + 'media/img/load.gif"/></div>');
        $.post(URLdir + 'handler/admStudents/getStudentsList',
            {
                'facultyID': $('#facultySelect option:selected').val(),
                'gradeID': $('#gradeSelect option:selected').val(),
                'groupID': $('#studyGroupSelect option:selected').val()
            },
            function(data){
                $("#search_results").html(data);
            });
    }
});